package hearts.model;

import hearts.util.Card;
import hearts.util.CardList;
import hearts.util.Card.Suit;

/**
 * A sequence of up to four plays (one by each player), led by a "lead".
 * Mutable only from classes within the package.
 */
public class Trick
{
	/**
	 * Creates a new empty trick.
	 */
	public Trick()
	{
	}
	
	/**
	 * Adds a plays to this trick. Must be package private so the class
	 * is mutable only from the package classes.
	 * @param pPlayer The player who played.
	 * @param card The card played.
	 * @throws ModelException if more than 4 plays are entered.
	 */
	void addPlay(String pPlayer, Card card)
	{
	}
	
	/**
	 * @return All the cards played in the trick. The cards are returned
	 * sorted in normal sorting order, not in the order of play.
	 */
	public CardList getCards()
	{
		return null;
	}
	
	/**
	 * @return The number of plays in the trick.
	 */
	public int cardsPlayed()
	{
		return 0;
	}
	
	/**
	 * @return The player who wins the trick to date.
	 * @throws ModelException is the trick is empty.
	 */
	public String getWinner()
	{
		return null;
	}
	
	/**
	 * @return The suit led in this trick.
	 * @throws ModelException if this is invoked on an trick with
	 * no cards played to date.
	 */
	public Suit getSuitLed()
	{
		return null;
	}
}
